/*
 * Copyright (C) 2015-2016 Canonical Ltd
 *
 * This file is part of Lomiri Weather App
 *
 * Lomiri Weather App is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License version 3 as
 * published by the Free Software Foundation.
 *
 * Lomiri Weather App is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

import QtQuick 2.12
import Lomiri.Components 1.3
import "../components"

Rectangle {
    color: theme.palette.normal.background
    anchors.fill: parent

    SettingsButton {
        anchors {
            right: parent.right
            top: parent.top
        }
    }

    Column {
        anchors {
            centerIn: parent
        }
        spacing: units.gu(4)
        width: parent.width - units.gu(4)

        Label {
            id: networkErrorStateLabel
            anchors {
                horizontalCenter: parent.horizontalCenter
            }
            fontSize: "x-large"
            text: i18n.tr("Invalid API Key")
            width: parent.width
            wrapMode: Text.WordWrap
        }

        Label {
            anchors {
                horizontalCenter: parent.horizontalCenter
            }
            text: i18n.tr("The provided API key seems to be invalid. Please provide a valid key in weather apps settings page and ensure it is correct.")
            width: parent.width
            wrapMode: Text.WordWrap
        }

        Label {
            anchors {
                horizontalCenter: parent.horizontalCenter
            }
            text: i18n.tr("You did already enter an api key but it does not work? This can have several reasons:")
            width: parent.width
            wrapMode: Text.WordWrap
        }
        Label {
            anchors {
                horizontalCenter: parent.horizontalCenter
            }
            text: i18n.tr("A typo. Please enter the key again in weather app settings page.")
            width: parent.width
            wrapMode: Text.WordWrap
        }
        Label {
            anchors {
                horizontalCenter: parent.horizontalCenter
            }
            text: i18n.tr("Your API key is not valid for the full range of data services weather app uses. The free key does not cover all services. Please get a higher level key.")
            width: parent.width
            wrapMode: Text.WordWrap
        }
        Label {
            anchors {
                horizontalCenter: parent.horizontalCenter
            }
            text: i18n.tr("Your API key may have expired. Please check in your OWM account.")
            width: parent.width
            wrapMode: Text.WordWrap
        }

        Button {
            text: i18n.tr("Open settings page")
            onClicked: {
                mainPageStack.pop()  //close this page first
                mainPageStack.push(Qt.resolvedUrl("../ui/HomePage.qml"))  // now open HomePage so after setting an key we have something to return to
                mainPageStack.push(Qt.resolvedUrl("../ui/SettingsPage.qml")) // then open settings page for key input
            }
        }
    }
}
